$(function () {
	// 获取验证码
	$('#getcode').click(function () {
		if ($('input[name=phone').val() != '') {
			if (!kg.isTelCode($('input[name=phone').val())) {
				confirm('您输入的手机号不合法');
				return false;
			} else {
				console.log($('input[name=phone').val());
				
				var formData = new FormData();
				formData.append("action", 'getcode');
				formData.append("phone", $('input[name=phone').val());
				$.ajax({
					scriptCharset: 'UTF-8',
					type: 'post',
					url: '/user/register',
					data: formData,
					cache: false,
					processData: false,
					contentType: false,
				}).done(function (data) {
					confirm(data)
					
				}).fail(function (data) {
					alert('服务器超时，请重试！');
				});
			}
		} else {
			confirm('请输入手机号');
			return false;
		}
	})
	$("form").submit(function (e) {
		// 检测用户名
		// if ($.trim($("input[name=username]").val()) != '') {
		// 	if ($.trim($("input[name=username]").val()).length >= 5 && $.trim($("input[name=username]").val()).length <= 20) {
		// 		var r = kg.isLetter($("input[name=username]").val());
		// 		if (!r) {
		// 			confirm('用户名必须以字母开头');
		// 			return false;
		// 		}
		// 	} else {
		// 		confirm('长度为5-20');
		// 		return false;
		// 	}
		// } else {
		// 	confirm('请输入用户名');
		// 	return false;
		// }
		// //电子邮箱
		// if ($.trim($("input[name=email]").val()) != '') {
		// 	if (!kg.isEmail($("input[name=email]").val())) {
		// 		confirm('输入的电子邮箱不合法');
		// 		return false;
		// 	}
		// } else {
		// 	confirm('请输入电子邮箱');
		// 	return false;
		// }
		//检测手机号
		if ($('input[name=phone').val() != '') {
			if (!kg.isTelCode($('input[name=phone').val())) {
				confirm('您输入的手机号不合法');
				return false;
			}
		} else {
			confirm('请输入手机号');
			return false;
		}
		//验证码
		if ($('input[name=checkCode').val() == '') {
			confirm('请输入验证码');
			return false;
		}
		//检测密码
		if ($('input[name=new_password').val() != '') {
			if (!kg.IsPwd($('input[name=new_password').val())) {
				confirm('您输入的密码必须为数字、字母和下划线组成，并且长度必须5-19');
				return false;
			}
		} else {
			confirm('请输入密码');
			return false;
		}
		//检测两次输入的密码是否一致
		if ($('input[name=new_password').val() != $('input[name=new_password_').val()) {
			confirm('两次输入的新密码不一致');
			return false;
		}
	});
	// 验证码
	$("#getcode").click(btnCheck);
	/**
	* [btnCheck 按钮倒计时常用于获取手机短信验证码]
	*/
	function btnCheck() {
		var time = 60;
		$(this).attr("disabled", true);
		var timer = setInterval(function () {
			if (time == 0) {
				clearInterval(timer);
				$("#getcode").attr("disabled", false);
				$("#getcode").text("重新获取验证码");
				$("#getcode").removeClass("on");
			} else {
				$("#getcode").addClass("on");
				$('#getcode').text(time + "秒");
				time--;
			}
		}, 1000);
	}
	//服务条款
	// $('input[name=subscription1').change(function(){
	// 	var disabled=!$(this).prop('checked');
	// 	$('#register_sub').attr("disabled",disabled);
	// })
})